package com.jeeplus.sys.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.sys.domain.UserProject;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface UserProjectMapper extends BaseMapper<UserProject> {

    public UserProject selectByDocumentNum(@Param("documentNum") String documentNum);

    public UserProject selectByProjectId(@Param("projectId") String projectId);

    public IPage<UserProject> selectPage(Page<UserProject> page, @Param("userProject") UserProject userProject);
}